Plantronics + Polycom. Now together as Poly Logo

331 need to downgrafe bootrom

SOLVED
G7PKF
Occasional Visitor

331 need to downgrafe bootrom

Phone Information Phone Model SoundPoint IP 331 Part Number 2345-12365-001 Rev:B MAC Address 00:04:F2:AB:4A:D6 IP Address 192.168.0.150 UC Software Version 4.0.1.13681 BootROM Software Version 5.0.1.10553

 

 

Need to downgrade bootrom to 4.0.0 (ish) due to an archaic provisioning server, I bought a load of these phones and am getting frustrated that nothing I do will the bootrom downgrade.

Thanks

Message 1 of 9
1 ACCEPTED SOLUTION

Accepted Solutions
SteffenBaierUK
Polycom Employee & Community Manager

Re: 331 need to downgrafe bootrom

Hello G7PKF,

I am unsure where your issue is but my replies and the relevant guide explain everything in detail and if you follow this the phone will downgrade.

 

  • Download SoundPoint_IP_Updater_4_5_0B_Downgrader_release_sig.zip

  • Unzip this into a directory

 

NOTICE: You will only have <part-Number>.sip.ld files and NO <part-Number>.bootrom.ld or  file bootrom.ld!

 

  • Point your Phone via an FTP Server (other methods are supported but I always use FTP) to the Directory where the above has been unzipped to and it will reboot and downgrade.

Please ensure to provide some feedback if this reply has helped you so other users can profit from your experience.

Best Regards

Steffen Baier

Polycom Global Services

----------------
The title Poly Employee & Community Manager is a community setting and does not reflect my role. I am just a simple volunteer in the community like everybody else. All posts and words are my own & do not represent the views of Employer.

----------------

Notice: This community forum is not an official Poly support resource, thus responses from Poly employees, partners, and customers alike are best-effort in attempts to share learned knowledge. If you need immediate and/or official assistance please open a service ticket through your proper support channels.
Please also ensure you always check the VoIP , Video Endpoint , Skype for Business , PSTN or RPM FAQ's

View solution in original post

Message 9 of 9
8 REPLIES 8
SteffenBaierUK
Polycom Employee & Community Manager

Re: 331 need to downgrafe bootrom

Hello G7PKF,

welcome to the Polycom Community.

The community's VoIP FAQ contains this post here:

 

Oct 7, 2011 Question: How can I setup my Phone / Provisioning / Download / Upgrade / Update / Downgrade Software?
Resolution: Please check => here <=

 

The above and the linked Engineering Advisory 64731 Polycom® UC Software 4.0.0: Upgrade and Downgrade Methods document explain in detail that the compatible UCS 3.3.2 Version and in addition the Downgrader is needed. 

 

The phone was sold via IMAGO GROUP PLC back in 2012 and you would need to contact them in order to raise a pay per incident support ticket if you are unable to follow the above document to downgrade the units.


Please ensure to provide some feedback if this reply has helped you so other users can profit from your experience.

Best Regards

Steffen Baier

Polycom Global Services

----------------
The title Poly Employee & Community Manager is a community setting and does not reflect my role. I am just a simple volunteer in the community like everybody else. All posts and words are my own & do not represent the views of Employer.

----------------

Notice: This community forum is not an official Poly support resource, thus responses from Poly employees, partners, and customers alike are best-effort in attempts to share learned knowledge. If you need immediate and/or official assistance please open a service ticket through your proper support channels.
Please also ensure you always check the VoIP , Video Endpoint , Skype for Business , PSTN or RPM FAQ's
Message 2 of 9
G7PKF
Occasional Visitor

Re: 331 need to downgrafe bootrom

Thanks yes found those documents earler today and followed it. Managed to downgrade firmware but bootrom is being a pain.

 

Any other suggestions?

Message 3 of 9
SteffenBaierUK
Polycom Employee & Community Manager

Re: 331 need to downgrafe bootrom

Hello G7PKF,

What software and what BootROM is currently shown on the phone ?

 

You are not providing much details for us to suggest.

 

Once the phone has been downgraded from UC Software 4.0.x to 3.3.x you simply add the relevant BootROM you want to downgrade to and reboot the phone so it can install it.

 

I am not sure why you would want to be on such an old software but this is your choice.


Please ensure to provide some feedback if this reply has helped you so other users can profit from your experience.

Best Regards

Steffen Baier

Polycom Global Services

----------------
The title Poly Employee & Community Manager is a community setting and does not reflect my role. I am just a simple volunteer in the community like everybody else. All posts and words are my own & do not represent the views of Employer.

----------------

Notice: This community forum is not an official Poly support resource, thus responses from Poly employees, partners, and customers alike are best-effort in attempts to share learned knowledge. If you need immediate and/or official assistance please open a service ticket through your proper support channels.
Please also ensure you always check the VoIP , Video Endpoint , Skype for Business , PSTN or RPM FAQ's
Message 4 of 9
G7PKF
Occasional Visitor

Re: 331 need to downgrafe bootrom

Home Phone Information Phone Model SoundPoint IP 331 Part Number 2345-12365-001 Rev:B MAC Address 00:04:F2:AB:4A:D6 IP Address 192.168.0.150 UC Software Version 4.0.1.15031 BootROM Software Version 5.0.1.10553

 

So are you saying I have to go down to 3.3 and then go back up to 4.0.0 to get it to change from 5.0.1 BOOTROM?

Message 5 of 9
SteffenBaierUK
Polycom Employee & Community Manager

Re: 331 need to downgrafe bootrom

Hello G7PKF,

  • 3.3.x and lower only accept the "old" BootROM aka anything 4.3.1 or older
  • 4.0.x and newer only use the "new" Updater which is usually 5.0.x

I am still not sure why you after these "old" BootROMs but the anything newer than 4.0.x will need the Updater to work.

 

Downgrading a phone to 3.3.x or older will allow you to use the BootROM 4.3.1 or lower. You will need to downgrade to 3.3.x first using the downgrader and then add the BootROM of your choice.

 

This is all explained in the linked above document and for further PayPerIncident support on these out of warranty phones the named reseller needs to open a ticket for you.


Please ensure to provide some feedback if this reply has helped you so other users can profit from your experience.

Best Regards

Steffen Baier

Polycom Global Services

----------------
The title Poly Employee & Community Manager is a community setting and does not reflect my role. I am just a simple volunteer in the community like everybody else. All posts and words are my own & do not represent the views of Employer.

----------------

Notice: This community forum is not an official Poly support resource, thus responses from Poly employees, partners, and customers alike are best-effort in attempts to share learned knowledge. If you need immediate and/or official assistance please open a service ticket through your proper support channels.
Please also ensure you always check the VoIP , Video Endpoint , Skype for Business , PSTN or RPM FAQ's
Message 6 of 9
G7PKF
Occasional Visitor

Re: 331 need to downgrafe bootrom

When I load 3.3 firmware on it says not compatible and goes into an endless rebooting, It does not downgrade the bootrom even though ver 4.0.0 bootrom is in the directory on the FTP server.

 

All I need is bootrom firmware will come down from the "proper" provisioning server once correct bootrom pre UCS is on the phone.

 

Can and end user request a PPi assistance?

 

This is what i got from the provisioning server company:-

 

 

You’ll need to downgrade the Polycom Bootrom to a pre UCS level typically 4.0.0 – 4.3.1

 

Once this has been achieved the Provisioning Server (via VA Router) can configure the handset. The Provisioning server will accept the above BootRom range and apply its own SIP/Firmware defaults to the handset, plus associated line registration setup in Service Manager.

Message 7 of 9
G7PKF
Occasional Visitor

Re: 331 need to downgrafe bootrom

Right think the problem is I do not have BootROM 4.5.0 B Downgrader (but the upgrader) cannot find the downgrader on the website anyone care to share a link?

 

Right found it (under ip650 phone) downloading now hopefully this will work :)

 

It worked !!!! :)

 

I know this is not a support forum but thanks to it i found the info i needed and the ip650 downgrader file worked on the 331, why i couldnot find it on the 331 download section I have no idea.

 

 

Message 8 of 9
SteffenBaierUK
Polycom Employee & Community Manager

Re: 331 need to downgrafe bootrom

Hello G7PKF,

I am unsure where your issue is but my replies and the relevant guide explain everything in detail and if you follow this the phone will downgrade.

 

  • Download SoundPoint_IP_Updater_4_5_0B_Downgrader_release_sig.zip

  • Unzip this into a directory

 

NOTICE: You will only have <part-Number>.sip.ld files and NO <part-Number>.bootrom.ld or  file bootrom.ld!

 

  • Point your Phone via an FTP Server (other methods are supported but I always use FTP) to the Directory where the above has been unzipped to and it will reboot and downgrade.

Please ensure to provide some feedback if this reply has helped you so other users can profit from your experience.

Best Regards

Steffen Baier

Polycom Global Services

----------------
The title Poly Employee & Community Manager is a community setting and does not reflect my role. I am just a simple volunteer in the community like everybody else. All posts and words are my own & do not represent the views of Employer.

----------------

Notice: This community forum is not an official Poly support resource, thus responses from Poly employees, partners, and customers alike are best-effort in attempts to share learned knowledge. If you need immediate and/or official assistance please open a service ticket through your proper support channels.
Please also ensure you always check the VoIP , Video Endpoint , Skype for Business , PSTN or RPM FAQ's

View solution in original post

Message 9 of 9